This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 969047 - JDG Getting Started -- Library mode section contains non-library mode docs
JDG Getting Started -- Library mode section contains non-library mode docs
Status: CLOSED CURRENTRELEASE
Product: JBoss Data Grid 6
Classification: JBoss
Component: Documentation (Show other bugs)
6.1.0
Unspecified Unspecified
unspecified Severity unspecified
: GA
: 6.2.0
Assigned To: Misha H. Ali
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-05-30 10:40 EDT by dereed
Modified: 2013-11-07 17:49 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Instance Name: Not Defined Build: CSProcessor Builder Version 1.8 Build Name: 14117, Getting Started Guide-6.1-2 Build Date: 07-04-2013 12:41:19
Last Closed: 2013-11-07 17:49:30 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description dereed 2013-05-30 10:40:53 EDT
Title: Running JBoss Data Grid

Describe the issue:

"Part IV. Run JBoss Data Grid in Library Mode" has several chapters/sections specific to Client-Server mode, that don't apply to Library mode:

Section 6.3 is specific to running the server in Client-Server mode, not Library mode:
https://access.redhat.com/site/documentation/en-US/JBoss_Data_Grid/6.1/html-single/Getting_Started_Guide/index.html#Running_JBoss_Data_Grid

Section 7.3 is specific to running the Client-side of Client-Server mode:
https://access.redhat.com/site/documentation/en-US/JBoss_Data_Grid/6.1/html-single/Getting_Started_Guide/index.html#Create_a_New_RemoteCacheManager

Chapter 9 is specific to running the server in Client-Server mode:
https://access.redhat.com/site/documentation/en-US/JBoss_Data_Grid/6.1/html-single/Getting_Started_Guide/index.html#chap-Run_a_JBoss_Data_Grid_as_a_Node_without_Endpoints

Also, Chapter "7. Run JBoss Data Grid as an Embedded Cache (Library Mode)" and "8. Run JBoss Data Grid in Library Mode" are the same thing and should be merged into one chapter.

Suggestions for improvement:


Additional information:
Comment 2 Misha H. Ali 2013-07-07 23:38:20 EDT
(In reply to dereed from comment #0)
> Title: Running JBoss Data Grid
> 
> Describe the issue:
> 
> "Part IV. Run JBoss Data Grid in Library Mode" has several chapters/sections
> specific to Client-Server mode, that don't apply to Library mode:
> 
> Section 6.3 is specific to running the server in Client-Server mode, not
> Library mode:
> https://access.redhat.com/site/documentation/en-US/JBoss_Data_Grid/6.1/html-
> single/Getting_Started_Guide/index.html#Running_JBoss_Data_Grid

Shift topic 8989 to Client-Server mode and get instructions for Library. Emailed Tristan and Martin.

> Section 7.3 is specific to running the Client-side of Client-Server mode:
> https://access.redhat.com/site/documentation/en-US/JBoss_Data_Grid/6.1/html-
> single/Getting_Started_Guide/index.html#Create_a_New_RemoteCacheManager

Commented out. 
 
> Chapter 9 is specific to running the server in Client-Server mode:
> https://access.redhat.com/site/documentation/en-US/JBoss_Data_Grid/6.1/html-
> single/Getting_Started_Guide/index.html#chap-
> Run_a_JBoss_Data_Grid_as_a_Node_without_Endpoints

Shifted this chapter to Remote Client-Server Mode part.

> Also, Chapter "7. Run JBoss Data Grid as an Embedded Cache (Library Mode)"
> and "8. Run JBoss Data Grid in Library Mode" are the same thing and should
> be merged into one chapter.

Drafting a merged version after consulting with SMEs.
Comment 3 Misha H. Ali 2013-07-08 21:45:19 EDT
(In reply to Misha H. Ali from comment #2)
> (In reply to dereed from comment #0)
> > Title: Running JBoss Data Grid
> > 
> > Describe the issue:
> > 
> > "Part IV. Run JBoss Data Grid in Library Mode" has several chapters/sections
> > specific to Client-Server mode, that don't apply to Library mode:
> > 
> > Section 6.3 is specific to running the server in Client-Server mode, not
> > Library mode:
> > https://access.redhat.com/site/documentation/en-US/JBoss_Data_Grid/6.1/html-
> > single/Getting_Started_Guide/index.html#Running_JBoss_Data_Grid
> 
> Shift topic 8989 to Client-Server mode and get instructions for Library.
> Emailed Tristan and Martin.

Response from Tristan:

paragraph 6.3 only applies to server mode.
Of course library mode is started in whichever way the application 
embedding it is started. So I think that changing the 6.3 paragraph 
title should be enough. Chapter 7 goes into library mode detail, so I 
think we're covered there.

Shifting the topic "Running Red Hat JBoss Data Grid [5279]" to the "Run Red Hat JBoss Data Grid in Remote Client-Server Mode" chapter.
Comment 4 Misha H. Ali 2013-07-09 01:36:47 EDT
> > Also, Chapter "7. Run JBoss Data Grid as an Embedded Cache (Library Mode)"
> > and "8. Run JBoss Data Grid in Library Mode" are the same thing and should
> > be merged into one chapter.
> 
> Drafting a merged version after consulting with SMEs.

Last bit left for this bug. AFAIK, the two chapters are based on two separate quickstarts (clustered cache and embedded cache). Checking with SMEs Tristan and Martin to clarify whether these should indeed be merged.
Comment 5 Misha H. Ali 2013-07-10 00:28:07 EDT
Martin's feedback:

> * In chapter 6, we don't mention which quickstart from the 
> https://github.com/infinispan/infinispan-quickstart repository is used. 
> I suppose it's the embedded-cache. 

Sent a follow up for this point. To-do later.

> There's also this sentence which made me confused even more: "The required  
> *clustered* quickstart zip files are available here" . This quickstart is not 
> clustered!

Fixed. Removed the word clustered from intro and added two, better links to each of the quickstarts mentioned.

http://docbuilder.usersys.redhat.com/12539/#Quickstart_File_Locations

> One last thing, chapter 6.3 [1] should be removed altogether as it's 
> related to client-server mode, not to library mode. The code is not in 
> the embedded-cache quickstart either so it's confusing.

6.3 is removed according to a previous comment from dereed.

> In chapter 7, we should explicitly mention the different name of the 
> quickstart being used and change the title of 7.2 to say that this 
> example shows a clustered cache, not just embedded.

Changed title of 7.2 to "Create a Main Method in the Quickstart Class (Clustered Cache)"

> Conclusion: We can keep these two chapters separate but we should fix 
> the issues above to better differentiate them.

Thanks, Martin. Keeping the two separate.
Comment 9 Misha H. Ali 2013-11-07 17:49:30 EST
This bug is approved and available at:

https://access.redhat.com/site/documentation/Red_Hat_JBoss_Data_Grid/

Note You need to log in before you can comment on or make changes to this bug.